/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.novabpm.identity.impl;

import org.ow2.novabpm.identity.UserOp;
import org.ow2.novabpm.identity.UserTest;
import org.ow2.novabpm.util.Misc;

/**
 * @author "Pierre Vigneras"
 * @date Nov 23, 2007
 */
public class UserImplTest extends UserTest {

  public void testCheck() {
    try {
      new UserImpl(null);
      fail("Check null argument!");
    } catch (IllegalArgumentException iae) {
      // ok
    }
  }

  /*
   * (non-Javadoc)
   * 
   * @see org.ow2.novabpm.identity.UserTest#newUser(java.lang.String)
   */
  @Override
  protected UserOp newUser() {
    final String id = Misc.getUniqueId(this.getClass().getName());
    return new UserImpl(id);
  }
}
